[arch-commits] Commit in dqlite/repos/community-x86_64 (PKGBUILD PKGBUILD)

Morten Linderud foxboron at archlinux.org
Sat Jun 27 21:21:34 UTC 2020


    Date: Saturday, June 27, 2020 @ 21:21:34
  Author: foxboron
Revision: 655089

archrelease: copy trunk to community-x86_64

Added:
  dqlite/repos/community-x86_64/PKGBUILD
    (from rev 655088, dqlite/trunk/PKGBUILD)
Deleted:
  dqlite/repos/community-x86_64/PKGBUILD

----------+
 PKGBUILD |   64 ++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 32 insertions(+), 32 deletions(-)

Deleted: PKGBUILD
===================================================================
--- PKGBUILD	2020-06-27 21:21:22 UTC (rev 655088)
+++ PKGBUILD	2020-06-27 21:21:34 UTC (rev 655089)
@@ -1,32 +0,0 @@
-# Maintainer: Morten Linderud <foxboron at archlinux.org>
-# Contributor: Thomas Hipp <thomashipp at gmail dot com>
-
-pkgname=dqlite
-pkgver=1.4.4
-pkgrel=1
-pkgdesc="Distributed SQLite"
-arch=('x86_64')
-url="https://github.com/CanonicalLtd/dqlite"
-license=('LGPL3')
-depends=('libuv' 'raft' 'libco' 'sqlite-replication')
-makedepends=('tcl' 'readline' 'zlib')
-source=("$pkgname-$pkgver.tar.gz::https://github.com/canonical/${pkgname}/archive/v${pkgver}.tar.gz")
-sha256sums=('913c26d20e8638063b703733f83874de40b098afa9687e975350409225676371')
-
-build() {
-	cd "$pkgname-$pkgver"
-	autoreconf -i 
-	PKG_CONFIG_PATH="/usr/lib/sqlite-replication/pkgconfig" ./configure --prefix=/usr
-	make LDFLAGS="-Wl,-R/usr/lib/sqlite-replication"
-}
-
-check() {
-	cd "$pkgname-$pkgver"
-	make LDFLAGS="-Wl,-R/usr/lib/sqlite-replication" check || true
-}
-
-package() {
-	cd "$pkgname-$pkgver"
-	make DESTDIR="$pkgdir/" install
-	install -Dm644 LICENSE "${pkgdir}/usr/share/licenses/${pkgname}/LICENSE"
-}

Copied: dqlite/repos/community-x86_64/PKGBUILD (from rev 655088, dqlite/trunk/PKGBUILD)
===================================================================
--- PKGBUILD	                        (rev 0)
+++ PKGBUILD	2020-06-27 21:21:34 UTC (rev 655089)
@@ -0,0 +1,32 @@
+# Maintainer: Morten Linderud <foxboron at archlinux.org>
+# Contributor: Thomas Hipp <thomashipp at gmail dot com>
+
+pkgname=dqlite
+pkgver=1.5.0
+pkgrel=1
+pkgdesc="Distributed SQLite"
+arch=('x86_64')
+url="https://github.com/CanonicalLtd/dqlite"
+license=('LGPL3')
+depends=('libuv' 'raft' 'libco' 'sqlite-replication')
+makedepends=('tcl' 'readline' 'zlib')
+source=("$pkgname-$pkgver.tar.gz::https://github.com/canonical/${pkgname}/archive/v${pkgver}.tar.gz")
+sha256sums=('1ea4a4a70460bce98eb8d473fd642322223bfd9897f348276c4b270194e3b95f')
+
+build() {
+	cd "$pkgname-$pkgver"
+	autoreconf -i 
+	PKG_CONFIG_PATH="/usr/lib/sqlite-replication/pkgconfig" ./configure --prefix=/usr
+	make LDFLAGS="-Wl,-R/usr/lib/sqlite-replication"
+}
+
+check() {
+	cd "$pkgname-$pkgver"
+	make LDFLAGS="-Wl,-R/usr/lib/sqlite-replication" check || true
+}
+
+package() {
+	cd "$pkgname-$pkgver"
+	make DESTDIR="$pkgdir/" install
+	install -Dm644 LICENSE "${pkgdir}/usr/share/licenses/${pkgname}/LICENSE"
+}


More information about the arch-commits mailing list